# $Revision: 1.21 $, $Date: 2008/06/30 09:45:35 $
# NOTE
# - could use QtRuby, Ruby/GTK or Ruby/Tk, but as only -tk was available on AC,
#   used that dependency.
%define		scriptname	wiki_lyrics
Summary:	A collection of lyrics scripts for amaroK
Summary(pl.UTF-8):	Zestaw skryptów do tekstów utworów dla amaroKa
Name:		amarok-script-wiki_lyrics
Version:	0.12.12
Release:	1
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://www.kde-apps.org/CONTENT/content-files/35151-wiki_lyrics-%{version}.amarokscript.tar.bz2
# Source0-md5:	58047a1ec715a5e3ce947210a0b6366d
URL:		http://www.lyriki.com/Help:Wiki-Lyrics_Script
BuildRequires:	sed >= 4.0
Requires:	amarok >= 1.4
Requires:	ruby-modules >= 1.8
Requires:	ruby-tk
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_scriptdir %{_datadir}/apps/amarok/scripts

%description
A collection of lyrics scripts to interface with various sites and,
optionally, submit content to Lyriki.com or LyricWiki.org (wikis for
lyrics). All of these scripts can query the other ones when they can't
provide the lyrics for a song.

Supported sites:
- Lyriki <www.lyriki.com>
- LyricWiki <www.lyricwiki.org>
- AZ Lyrics <www.azlyrics.com>
- Baidu MP3 <mp3.baidu.com>
- Dark Lyrics <www.darklyrics.com>
- Giitaayan <www.giitaayan.com>
- Jamendo <www.jamendo.com>
- Leos Lyrics <www.leoslyrics.com>
- Lyrc <lyrc.com.ar>
- Lyrics Download <www.lyricsdownload.com>
- Lyrics Mania <www.lyricsmania.com>
- Not Popular <www.notpopular.com>
- Seek Lyrics <www.seeklyrics.com>
- Sing365 <www.sing365.com>
- Terra Letras <letras.terra.com.br>

%description -l pl.UTF-8
Zestaw współpracujących z różnymi serwisami skryptów do pobierania
tekstów utworów i opcjonalnie umieszczania treści na Lyriki.com lub
LyricWiki.org (wiki dla tekstów utworów). Wszystkie te skrypty mogą
odpytywać inne jeśli nie znajdą tekstu piosenki.

Obsługiwane serwisy:
- Lyriki <www.lyriki.com>
- LyricWiki <www.lyricwiki.org>
- AZ Lyrics <www.azlyrics.com>
- Baidu MP3 <mp3.baidu.com>
- Dark Lyrics <www.darklyrics.com>
- Giitaayan <www.giitaayan.com>
- Jamendo <www.jamendo.com>
- Leos Lyrics <www.leoslyrics.com>
- Lyrc <lyrc.com.ar>
- Lyrics Download <www.lyricsdownload.com>
- Lyrics Mania <www.lyricsmania.com>
- Not Popular <www.notpopular.com>
- Seek Lyrics <www.seeklyrics.com>
- Sing365 <www.sing365.com>
- Terra Letras <letras.terra.com.br>

%prep
%setup -q -n %{scriptname}
rm *.kdev*
rm -rf win tests
rm {docs,amarok}/COPYING # GPL v2
rm i18n/README # note about when editing files

%{__sed} -i -e '1s,#!/usr/bin/env ruby,#!%{_bindir}/ruby,' *.rb amarok/*.rb cli/*.rb

# ELF 32-bit LSB executable, Intel 80386
# TODO: package separately if it's really needed
rm -f itrans/itrans

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_scriptdir}/%{scriptname}
cp -a . $RPM_BUILD_ROOT%{_scriptdir}/%{scriptname}
rm -rf $RPM_BUILD_ROOT%{_scriptdir}/%{scriptname}/docs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/ChangeLog docs/TODO docs/HOWTO.txt docs/README
%dir %{_scriptdir}/%{scriptname}

%{_scriptdir}/%{scriptname}/*.rb

%dir %{_scriptdir}/%{scriptname}/cli
%{_scriptdir}/%{scriptname}/cli/*.rb

%dir %{_scriptdir}/%{scriptname}/gui
%{_scriptdir}/%{scriptname}/gui/*.rb

%dir %{_scriptdir}/%{scriptname}/i18n
%{_scriptdir}/%{scriptname}/i18n/*.rb

%dir %{_scriptdir}/%{scriptname}/utils
%{_scriptdir}/%{scriptname}/utils/*.rb

%dir %{_scriptdir}/%{scriptname}/itrans
%{_scriptdir}/%{scriptname}/itrans/*

%dir %{_scriptdir}/%{scriptname}/amarok
# README must be here in %files, not in %doc
%{_scriptdir}/%{scriptname}/amarok/README
%{_scriptdir}/%{scriptname}/amarok/amarok.rb
%{_scriptdir}/%{scriptname}/amarok/amaroklyricsscript.rb
%{_scriptdir}/%{scriptname}/amarok/pluginadapter.rb
%{_scriptdir}/%{scriptname}/amarok/plugins.rb
%attr(755,root,root) %{_scriptdir}/%{scriptname}/amarok/pluginsmanager.rb
%{_scriptdir}/%{scriptname}/amarok/wikipluginadapter.rb
%{_scriptdir}/%{scriptname}/amarok/*.spec

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: amarok-script-wiki_lyrics.spec,v $
Revision 1.21  2008/06/30 09:45:35  glen
- update to 0.12.12

Revision 1.20  2008/06/24 06:55:52  adamg
- updated to 0.12.11

Revision 1.19  2008-06-03 11:30:27  glen
- updated tarball

Revision 1.18  2008-06-03 08:51:36  glen
- update to 0.12.10

Revision 1.17  2008-05-23 06:02:34  glen
- update to 0.12.9

Revision 1.16  2008-02-27 06:48:40  glen
- update to 0.12.8

Revision 1.15  2008-02-22 14:58:36  glen
- update to 0.12.7

Revision 1.14  2007-12-22 17:37:46  glen
- rel 2

Revision 1.13  2007-12-12 08:12:09  glen
- update to 0.12.5

Revision 1.12  2007-11-30 18:36:02  glen
- fix permissions once again; rel 5

Revision 1.11  2007-11-29 21:43:28  glen
- fix file permissions

Revision 1.10  2007-10-14 20:50:56  glen
-  darklyrics site now in utf8 encoding; rel 4

Revision 1.9  2007/09/22 10:27:36  glen
- remove x86 executable

Revision 1.8  2007/09/21 22:45:10  glen
- updated to 0.12.4

Revision 1.7  2007/09/21 08:05:54  glen
- updated to 0.12.3, adds support to darklyrics.com

Revision 1.6  2007/09/11 07:06:44  glen
- 0.12.2, packaged only (not tested)

Revision 1.5  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.3  2007/01/26 22:52:39  qboosh
- pl

Revision 1.2  2007/01/22 17:12:47  glen
- update URL

Revision 1.1  2007/01/22 17:12:06  glen
- new, also known as lyriki-lyrics
